%define name timetool
%define ver 2.7 
%define rel 8mdk

Summary: A utility for setting the system's date and time.
Name: %{name}
Version: %{ver}
Release: %{rel}
Copyright: GPL
Group: System/Configuration/Other
Source0: timetool-%{version}.tar.bz2
Source1: icons-%{name}.tar.bz2
Patch0: timetool-2.7-fixperms.patch.bz2
Requires: control-panel /sbin/clock /bin/date
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-root

%description
The timetool utility provides a graphical user interface for setting
the current date and time on your system.

%prep
%setup -q
%patch0 -p1 -b .fixperms

%build
make all

%install

mkdir -p $RPM_BUILD_ROOT/{%{_bindir},%{_libdir}/rhs/control-panel}

make PREFIX=$RPM_BUILD_ROOT/%{_prefix} install

#install menu
mkdir -p $RPM_BUILD_ROOT/%{_menudir}
cat << EOF > $RPM_BUILD_ROOT/%{_menudir}/%{name}
?package(timetool): needs="X11" \
icon="timetool.xpm" \
section="Configuration/Other" \
title="Timetool" longtitle="Set Time and Date" \
command="timetool"
EOF

#mdk icons
install -d $RPM_BUILD_ROOT%{_iconsdir}
tar xIvf %{SOURCE1} -C $RPM_BUILD_ROOT%{_iconsdir}

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/timetool
%{_libdir}/rhs/control-panel/*
%{_menudir}/timetool
%{_iconsdir}/*

%changelog
* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 2.7-8mdk
- embedded menu
- fix icons

* Mon Oct 02 2000 DindinX <odin@mandrakesoft.com> 2.7-7mdk
- remove "icon=none" from menu description

* Tue Sep 26 2000 Daouda Lo <daouda@mandrakesoft.com> 2.7-6mdk
- menu title should begin with capital letter.

* Mon Sep 25 2000 Daouda Lo <daouda@mandrakesoft.com> 2.7-5mdk
- add icons for menu system.

* Fri Jul 28 2000 Francis Galiegue <fg@mandrakesoft.com> 2.7-4mdk

- BMacros
- Spec file fixes
- Added menu entry to %files list ;)

* Fri Mar 31 2000 DindinX <odin@mandrakesoft.com> 2.7-3mdk
- Spec update
- fix Group
- Add Menu

* Fri Nov 26 1999 Pixel <pixel@linux-mandrake.com>
- fixed Requires (rhsuk)

* Fri Nov 12 1999 Damien Krotkine <damien@mandrakesoft.com>
- 2.7

* Tue Aug 17 1999 Bill Nottingham <notting@redhat.com>
- fix utc negotiation

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- better leapyear fix from  jrs@math.lsa.umich.ed

* Wed May 05 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Tue Mar 09 1999 Preston Brown <pbrown@redhat.com>
- fixed Y2K leapyear bug

* Fri Dec 18 1998 Preston Brown <pbrown@redhat.com>
- bumped spec number for initial rh 6.0 build

* Fri Aug  7 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Nov 07 1997 Michael K. Johnson <johnsonm@redhat.com>
- wmconfig only for root

* Thu Oct 30 1997 Otto Hammersmith <otto@redhat.com>
- fixed control-panel icon

* Fri Oct 24 1997 Marc Ewing <marc@redhat.com>
- wmconfig

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- requires control-panel (doesn't start properly from the command line)
- didn't switch to 24 hour time properly
